> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Charge Payment Method

> Charge a saved payment method against a payin config, enforcing surcharge eligibility.



## OpenAPI

````yaml post /billing/payment-terminal/charge-card/{payment_method_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment-terminal/charge-card/{payment_method_id}:
    post:
      tags:
        - provider
        - billing
      summary: Charge Payment Method
      operationId: >-
        charge_payment_method_billing_payment_terminal_charge_card__payment_method_id__post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: payment_method_id
          in: path
          required: true
          schema:
            type: string
            title: Payment Method Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChargePaymentMethod'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargePaymentMethodResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChargePaymentMethod:
      properties:
        payinConfigId:
          type: string
          title: Payinconfigid
          description: >-
            From POST /billing/payment-terminal/payin-config (not the Decoda
            charge id).
      type: object
      required:
        - payinConfigId
      title: ChargePaymentMethod
    ChargePaymentMethodResponse:
      properties:
        payinId:
          type: string
          title: Payinid
        amount:
          type: integer
          title: Amount
        status:
          type: string
          title: Status
        authCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Authcode
      type: object
      required:
        - payinId
        - amount
        - status
      title: ChargePaymentMethodResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````